<p-header>
    <div *ngIf="unitDocumentMessagePassing.IdReqnotType === 31" class="ui-g-12 ui-sm-12">
        <br>
        <h4>Approval Request Note</h4>
        <hr>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Nomor Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.reqnotnumber}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtcreated}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Dealer Pemohon</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.pemohon}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-12">
            <hr>
        </div>
    </div>
    <div *ngIf="unitDocumentMessagePassing.IdReqnotType === 32" class="ui-g-12 ui-sm-12">
        <br>
        <h4>Approval Request Note POS</h4>
        <hr>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Nomor Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.reqnotnumber}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtcreated}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Lokasi Tujuan</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.LocationTo}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-12">
            <hr>
        </div>
    </div>
    <div *ngIf="unitDocumentMessagePassing.IdReqnotType === 33" class="ui-g-12 ui-sm-12">
        <br>
        <h4>Approval Request Note Event</h4>
        <hr>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Nomor Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.reqnotnumber}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtcreated}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Lokasi Tujuan</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.LocationTo}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Nama Event</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.eventName}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Mulai</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtFrom}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Selesai</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtThru}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-12">
            <hr>
        </div>
    </div>
</p-header>
<br>
<p-dataList [value]="unitDocumentMessage" [paginator]="true" [rows]="itemsPerPage" [lazy]="true" (onLazyLoad)="loadDataLazy($event)"
    [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems">
    <ng-template let-rowData let-i="index" pTemplate="item">
        <div class="ui-g ui-fluid border-item">
            <div class="ui-g-5 ui-md-5">
                <div class="ui-g-12 ui-sm-12">
                    <div>
                        <h6>{{rowData.marketname}}</h6>
                    </div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.idproduct}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">Qty Request : {{rowData.QtyReq}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.yearAssmbly}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-3">Qty Approve :</div>
                    <div *ngIf="unitDocumentMessagePassing.idstatustype == 12" class="ui-g-12 ui-md-6 ui-lg-1"><input type="number" min=0 name="qtyApprove"
                            [(ngModel)]="unitDocumentMessage[i].QtyApproved" ></div>
                    <div *ngIf="unitDocumentMessagePassing.idstatustype != 12" class="ui-g-12 ui-md-6 ui-lg-1"> {{rowData.QtyApproved}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.color}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6" *ngIf="unitDocumentMessagePassing.idstatustype == 12">Qty Available : {{rowData.QtyAvailable}}</div>
                </div>
            </div>
        </div>
    </ng-template>
</p-dataList>
<div class="ui-g" style="margin:30px 0px;" *ngIf="unitDocumentMessagePassing.idstatustype == 12">
    <p-footer>
        <button pButton type="button" (click)="submit('approve')" label="Approve" class="flat-label-button">
        </button>
        <button pButton type="button" (click)="submit('reject')" label="Not Approve" class="flat-label-button">
        </button>
    </p-footer>
</div>
<p-confirmDialog></p-confirmDialog>